For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all BackupLocations

This endpoint enables retrieving all BackupLocations using pagination and optional filters.

get
/backup-locations
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested BackupLocations successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of BackupLocation resources.

Example: a39a1ba4-3c1c-5a52-b90d-14fefce3d5a3
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of BackupLocation resources.

Example: /backup-locations
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/backup-locations
GET /v2/backup-locations HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "a39a1ba4-3c1c-5a52-b90d-14fefce3d5a3",
  "type": "collection",
  "href": "/backup-locations",
  "items": [
    {
      "id": "7fa1dd11-59dd-53a5-ab67-50f649c8e3eb",
      "type": "backuplocation",
      "href": "/backup-locations/7fa1dd11-59dd-53a5-ab67-50f649c8e3eb",
      "metadata": {},
      "properties": {
        "location": "eu-central-3"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?